require "import"
import "android.content.Intent"
import "android.content.pm.PackageManager"
import "android.net.Uri"
import "java.io.File"

-- Define a function to open the jieshuo recording folder
function open_jieshuo_recording_folder()
    local folderPath = "/storage/emulated/0/jieshuo recordings"
    local folderUri = Uri.parse(folderPath)
    
    -- Create an attempt to open the directory
    local intent = Intent(Intent.ACTION_VIEW)
    intent.setDataAndType(folderUri, "resource/folder")
    intent.setFlags(Intent.FLAG_GRANT_READ_URI_PERMISSION)
    
    if intent.resolveActivity(service.getPackageManager()) then
        service.startActivity(intent)
    else
        service.asyncSpeak("No application found to open the folder.")
    end
end

-- Call the function
open_jieshuo_recording_folder()
return true